summary refs log tree commit diff
path: root/pkgs
diff options
context:
space:
mode:
authorMichael Raskin <7c6f434c@mail.ru>2010-06-05 21:14:01 +0000
committerMichael Raskin <7c6f434c@mail.ru>2010-06-05 21:14:01 +0000
commit5d10c4f9b945d3edc84e30de315ef4a34424e8bb (patch)
tree3f939d5dda9864737612523cf47d0c2679cfa7a3 /pkgs
parent6c4cb05613704a208df4bfd921ad1c52746df639 (diff)
downloadnixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.tar
nixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.tar.gz
nixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.tar.bz2
nixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.tar.lz
nixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.tar.xz
nixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.tar.zst
nixlib-5d10c4f9b945d3edc84e30de315ef4a34424e8bb.zip
Hint at usage if called without parameters
svn path=/nixpkgs/trunk/; revision=22159
Diffstat (limited to 'pkgs')
-rwxr-xr-xpkgs/build-support/upstream-updater/update-upstream-data.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/pkgs/build-support/upstream-updater/update-upstream-data.sh b/pkgs/build-support/upstream-updater/update-upstream-data.sh
index 61c062518026..006da112fdbe 100755
--- a/pkgs/build-support/upstream-updater/update-upstream-data.sh
+++ b/pkgs/build-support/upstream-updater/update-upstream-data.sh
@@ -6,6 +6,11 @@ own_dir="$(cd "$(dirname "$0")"; sh -c pwd)"
 
 source "$own_dir/snippets.sh"
 
+[ -z "$1" ] && {
+  echo "Specify main expression filename."
+  exit 1;
+}
+
 main_file="$1"
 main_dir="$(cd "$(dirname "$main_file")" ; sh -c pwd)"
 file_name="$(basename "$main_file")"